'use strict';

const Provider = require('./provider');
const errors = require('./errors');

/**
 * Microkit api provider abstract class
 */
class ApiProvider extends Provider {
  /**
   * Calls an api
   * @param {string} method method to call
   * @param {object} parame parameters to pass
   * @param {object} options additional options to pass
   */
  call(method, parameters, options) {
    throw new errors.NotImplemetedError('call_not_implemented');
  }
}

module.exports = ApiProvider;
