'use strict';

const Promise = require('bluebird');
const _ = require('lodash');

const Controller = require('../controller');

class ErrorReporterController extends Controller {
  capture(error, context, options) {
    options = options || {};
    context = context || {};

    if (_.has(error, 'extra')) {
      _.extend(context, error.extra);
    }

    _.extend(context, this.options.context);

    return Promise.map(this.providers, provider => {
      return provider.capture(error, context, options).catch(err => {
        this.microkit.syslog.error('cannot report error', err);
        this.microkit.syslog.error('error happend', error, context);
      });
    });
  }
}

module.exports = ErrorReporterController;
