'use strict';

const Joi = require('joi');

const LogController = require('./log');
const ErrorController = require('./error');
const QueueController = require('./queue');
const MetricsController = require('./metrics');
const ApiController = require('./api');
const ExeceptionHandlerController = require('./exception');
const ExpressController = require('./express');

module.exports = function (registry) {
  registry.register('controller/log', LogController);
  registry.register('controller/error', ErrorController);
  registry.register('controller/queue', QueueController);
  registry.register('controller/metrics', MetricsController);
  registry.register('controller/api', ApiController);
  registry.register('controller/exception', ExeceptionHandlerController);
  registry.register('controller/express', ExpressController);
};
