'use strict';

const Provider = require('./provider');
const errors = require('./errors');

/**
 * Microkit error reporter provider abstract class
 */
class ErrorReporterProvider extends Provider {
  /**
   * Captures error
   *
   * @param {Error} error error to capture
   * @param {Object} context additional context to pass with error
   * @param {Object} options additional options to pass to error capturer
   */
  capture(error, context, options) {
    throw new errors.NotImplemetedError('capture_not_implemented');
  }
}

module.exports = ErrorReporterProvider;
