'use strict';

const Provider = require('../provider');

const errors = require('../errors');

/**
 * Microkit log provider abstract class
 */
class LogProvider extends Provider {
  /**
   * Logs message
   * @param {object} info log information
   * @param {string} msg log message
   * @param {object} context additional logging context
   * @param {Error} error additional error to log
   */
  log(info, msg, context, error) {
    throw new errors.NotImplemetedError('capture_not_implemented');
  }
}

module.exports = LogProvider;
