'use strict';

const Provider = require('../provider');

const errors = require('../errors');

/**
 * Microkit metrics provider abstract class
 */
class MetricsProvider extends Provider {
  /**
   * Sends metric
   * @param {string} name name of the metric
   * @param {integer} value value to send
   * @param {object} tags tag metric with
   * @param {object.unit} options metric unit (ms,km,eur)
   * @param {object.increment} options whether metric should be handled as increment to the previous value
   * @param {object.decrement} options whether metric should be handler as decrement to previous value
   */
  send(name, value, tags, options) {
    throw new errors.NotImplemetedError('send_not_implemented');
  }
}

module.exports = MetricsProvider;
