'use strict';

const _ = require('lodash');
const Joi = require('joi');

class Registry {
  constructor() {
    this._registered = {};
  }

  /**
   * Registers type
   * @param {string} name of the type
   * @param {Type} type type to register
   */
  register(name, type) {
    Joi.assert(name, Joi.string().required());

    if (this._registered[name]) {
      throw new Error(`Type with kind '${name}' already exists`);
    }

    this._registered[name] = type;
  }

  /**
   * Gets type by name
   */
  get(name) {
    return this._registered[name];
  }
}

module.exports = Registry;
